Package Details: litecoin-qt 0.17.1-3

Git Clone URL: https://aur.archlinux.org/litecoin-qt.git (read-only, click to copy)
Package Base: litecoin-qt
Description: Peer-to-peer network based digital currency (QT)
Upstream URL: http://www.litecoin.org/
Licenses: MIT
Conflicts: litecoin
Submitter: Flink
Maintainer: rpodgorny
Last Packager: rpodgorny
Votes: 82
Popularity: 0.000310
First Submitted: 2013-03-22 17:37
Last Updated: 2020-02-03 11:44

Latest Comments

1 2 3 4 5 Next › Last »

rpodgorny commented on 2020-02-03 11:45

@lucas: implemented. thanks!

lucas commented on 2020-02-03 11:01

Quick fix: add

include <deque>

at line 33 in httpserver.cpp

rpodgorny commented on 2020-02-03 09:27

no idea, upstream bug report issue - let's see...

https://github.com/litecoin-project/litecoin/issues/632

lucas commented on 2020-02-02 05:37

Can't compile Boost problems?

Making all in src make[1]: Entering directory '/home/luca/tmp/yaourt/yaourt-tmp-luca/aur-litecoin-qt/src/litecoin-0.17.1/src' make[2]: Entering directory '/home/luca/tmp/yaourt/yaourt-tmp-luca/aur-litecoin-qt/src/litecoin-0.17.1/src' CXX litecoind-bitcoind.o CXX libbitcoin_server_a-addrdb.o CXX libbitcoin_server_a-addrman.o CXX libbitcoin_server_a-bloom.o CXX libbitcoin_server_a-blockencodings.o CXX libbitcoin_server_a-chain.o CXX libbitcoin_server_a-checkpoints.o CXX consensus/libbitcoin_server_a-tx_verify.o CXX libbitcoin_server_a-httprpc.o CXX libbitcoin_server_a-httpserver.o httpserver.cpp:74:10: error: ‘deque’ in namespace ‘std’ does not name a template type 74 | std::deque<std::unique_ptr<WorkItem>> queue; | ^~~~~ httpserver.cpp:33:1: note: ‘std::deque’ is defined in header ‘<deque>’; did you forget to ‘#include <deque>’? 32 | #include <support/events.h> +++ |+#include <deque> 33 | httpserver.cpp: In member function ‘bool WorkQueue<WorkItem>::Enqueue(WorkItem)’: httpserver.cpp:92:13: error: ‘queue’ was not declared in this scope; did you mean ‘Enqueue’? 92 | if (queue.size() >= maxDepth) { | ^~~~~ | Enqueue httpserver.cpp:95:9: error: ‘queue’ was not declared in this scope; did you mean ‘Enqueue’? 95 | queue.emplace_back(std::unique_ptr<WorkItem>(item)); | ^~~~~ | Enqueue httpserver.cpp: In member function ‘void WorkQueue<WorkItem>::Run()’: httpserver.cpp:106:35: error: ‘queue’ was not declared in this scope; did you mean ‘Enqueue’? 106 | while (running && queue.empty()) | ^~~~~ | Enqueue httpserver.cpp:110:31: error: ‘queue’ was not declared in this scope; did you mean ‘Enqueue’? 110 | i = std::move(queue.front()); | ^~~~~ | Enqueue make[2]: [Makefile:6346: libbitcoin_server_a-httpserver.o] Error 1 make[2]: Leaving directory '/home/luca/tmp/yaourt/yaourt-tmp-luca/aur-litecoin-qt/src/litecoin-0.17.1/src' make[1]: [Makefile:10510: all-recursive] Error 1 make[1]: Leaving directory '/home/luca/tmp/yaourt/yaourt-tmp-luca/aur-litecoin-qt/src/litecoin-0.17.1/src' make: ** [Makefile:774: all-recursive] Error 1

rpodgorny commented on 2019-02-20 23:42

thanks for the news. updated.

czk commented on 2019-02-19 01:15

@rpodgorny

https://github.com/litecoin-project/litecoin/issues/578 has been fixed about a week ago.

There's some issue with SHA256 checksums though:

==> Building and installing package
==> Making package: litecoin-qt 0.16.3-1 (Tue 19 Feb 2019 01:49:06 AM CET)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
  -> Found v0.16.3.tar.gz
  -> Found litecoin-qt.desktop
==> Validating source files with sha256sums...
    v0.16.3.tar.gz ... FAILED
    litecoin-qt.desktop ... Passed
==> ERROR: One or more files did not pass the validity check!
==> ERROR: Makepkg was unable to build litecoin-qt.
==> Restart building litecoin-qt ? [y/N]

You have 7788800eb4a433696a464563384cbdf83a47eebb8698325c75314171833227c8 in your PKGBUILD, while I'm getting afdcf2fc8f343cef556ff3a930d363d9c714d03d7f13964e67f65194f82b37ad for https://github.com/litecoin-project/litecoin/archive/v0.16.3.tar.gz.

I guess it's better to use the sources the authors recommend at https://github.com/litecoin-project/litecoin/releases, ie. https://download.litecoin.org/litecoin-0.16.3/? The SHA256 sum 0dccc577d704bd48226d11b749cca3bd7cadd23694ccbb15a87a0806704a69c3 in https://download.litecoin.org/litecoin-0.16.3/SHA256SUMS.asc matches the https://download.litecoin.org/litecoin-0.16.3/src/litecoin-0.16.3.tar.gz OK.

rpodgorny commented on 2019-01-25 10:02

litecoin-qt seems to be broken right now. i'll wait a while for the upstream to fix that before i include the patch. thanks for the patience.

https://github.com/litecoin-project/litecoin/issues/578

rpodgorny commented on 2018-03-16 12:31

thanks for spotting 0.16rc1 is out but i'm going to keep being conservative for this package (as it may involve serious money loss) and stick to stable versions only.

02m commented on 2018-01-31 07:38

Unable to do the upgrade 0.14.2-1 => 0.14.2-2.

Get the following error: /usr/include/boost/multi_index/detail/ord_index_impl.hpp:1181:7: error: no match for call to ‘(const key_compare {aka const CompareModifiedEntry}) (const CTxMemPoolModifiedEntry&, CTxMemPoolModifiedEntry&)’ if(comp_(key(v),key(y->value())))return false;

kwe commented on 2018-01-13 14:16

@rpodgorny The patch mentioned by chappjc works for me.